# 32/64bit spec-file
#
%define name	truecrypt
%define version	7.1a
%define release	%mkrel 1
%define sname TrueCrypt

Summary:	Free open-source disk encryption software
Name:		%name
Version:	%version
Release:	%release
License:	TrueCrypt License Version 3.0
Group:		System/Configuration/Other
URL:		http://www.truecrypt.org/
Source0:	http://www.truecrypt.org/downloads/%{sname}-%{version}-Source.tar.xz
Source1:	%name.png
Patch2:		SecurityToken.cpp.diff
BuildRoot:	%_tmppath/%name-%version-%release-buildroot
BuildRequires:	fuse-devel, %{_lib}wxgtku2.8-devel %{_lib}sm-devel
BuildRequires:	%{_lib}pkcs11-helper-devel
BuildRequires:	nasm
#Requires:	libpkcs11-helper1
#Requires:	fuse, wxGTK2.8
#Requires:	libwxgtku2.8
Requires:	kernel >= 2.6.24
Obsoletes:	dkms-truecrypt truecrypt
Provides:	truecrypt = %version-%release
Requires:	sudo
Obsoletes: 	%{name} < %version
Requires:	glibc >= 2.12.1
Requires:	libstdc++6 >= 4.5.2

%description
TrueCrypt is a software system for establishing and maintaining an on-the-fly-encrypted volume
(data storage device). On-the-fly encryption means that data are automatically encrypted or
decrypted right before they are loaded or saved, without any user intervention. No data stored on
an encrypted volume can be read (decrypted) without using the correct password or correct
encryption key. Until decrypted, a TrueCrypt volume appears to be nothing more than a series of
random numbers. Entire file system is encrypted (i.e., file names, folder names, contents of every
file, and free space). TrueCrypt never writes decrypted data to any storage device (it only
temporarily writes data being decrypted to RAM).

NOTE: When asked for administrator password, give your user password, not root password.

%prep
%setup -q -n %{name}-%{version}-source
%patch2 -p1


%build
export PKCS11_INC=/usr/include/pkcs11-helper-1.0
%make

%install
[ "x$RPM_BUILD_ROOT" != "x/" ] && rm -rf $RPM_BUILD_ROOT

install -D -m755 ./Main/%name $RPM_BUILD_ROOT%{_bindir}/%name
install -D -m644 %SOURCE1 $RPM_BUILD_ROOT%{_iconsdir}/%name.png


# menu
mkdir -p $RPM_BUILD_ROOT%_datadir/applications
cat > $RPM_BUILD_ROOT%_datadir/applications/%name.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=%sname
Exec=/usr/bin/%name
Icon=%name.png
Terminal=false
Type=Application
StartupNotify=true
Categories=GTK;Settings;X-MandrivaLinux-System-Configuration-Other;
EOF

%post
%update_menus
modprobe fuse

%postun
%update_menus

%clean
[ "x$RPM_BUILD_ROOT" != "x/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Readme.txt License.txt Release/Setup\ Files/TrueCrypt\ User\ Guide.pdf
%{_bindir}/%{name}
%{_iconsdir}/%{name}.png
%{_datadir}/applications/%{name}.desktop

%changelog
* Wed Feb 06 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 7.1a-1pclos2013
- 7.1a
- update license info
- added %{_lib} macros
- added BR nasm

* Tue Apr 26 2011 Texstar <texstar at gmail.com> 7.0a-2pclos2011
- add sudo dependency

* Mon Feb 28 2011 Texstar <texstar at gmail.com> 7.0a-1pclos2011
- 7.0a

* Mon Jul 12 2010 Texstar <texstar at gmail.com> 6.3a-2pclos2010
- fix dependencies

* Thu Mar 25 2010 Texstar <texstar at gmail.com> 6.3a-1pclos2010
- 6.3a

* Sun May 25 2009 Texstar <texstar@gmail.com> 6.2-1pclos2009
- fix rpm group
- 6.2

* Sat Feb 16 2008 Stumpy842 <stump842@gmail.com> 5.0a-1pclos2007
- Update to ver 5.0a
- Obsolete ole dkms-truecrypt package (texstar)
- Consolidate patches
- Add modprobe to %%post

* Tue Jan 29 2008 Texstar <texstar@gmail.com> 4.3a-1pclos2007
- import into pclos from Lukas Oboril
